Documentation

首尾帧生视频

Last updated: Nov 4, 2026

POST
/v3/aigc/vd/ent/v2/start-end2video

根据首帧和尾帧图片生成过渡视频。

请求参数完全对标 原厂文档,下表为常用字段。返回 任务 ID。

使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 Vidu 接口概览。

Authorization

BearerAuth
headerAuthorizationBearer <token>

TE 北京地域 API Key,填写后自动添加 Bearer 前缀。

Request Body

application/json
  1. body
model*string

模型,如 viduq3-pro

images*array<string>

2 张图片 URL,依次为首帧、尾帧

prompt?string

文本提示词

Response Body

成功;具体状态及结果见响应字段。

application/json
  1. response
task_id?string
Example Request
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/vd/ent/v2/start-end2video' \  -H 'Content-Type: application/json' \  -d '{  "model": "viduq3-pro",  "images": [    "https://example.com/startend2video-1.jpeg",    "https://example.com/startend2video-2.jpeg"  ],  "prompt": "The camera zooms in on the bird, which then flies to the right, soaring in the sky with a red light effect following it."}'
Example Response200
{  "task_id": "tsk-xxxxxxxxxxxxxxxx"}